Subject: Some graphical programs borked with Guix on Arch

From: Brendan Tildesley <[email-masked]>
Date: Sun, 5 May 2019 17:58:13 +1000

With Guix on Arch, Running Guix's Godot and cool-retro-term programs
results in a completely garbled GUI. Godot ran with OpenGL ES2 instead
of ES3 looks a bit better except the fonts fail to render correctly.
Cool-retro-term complains about how using a variable width font may
cause display alignment issues, although I'm not sure that is related.
Perhaps it indicates it is a font issue? The Arch versions work just
fine. I haven't installed Guix System  on this machine yet so I'm not
sure if they would work that way.

I have seen this kind of graphical artefact before with  KDE when I've
suspended my machine and it's come back all broken.. It may be related
to the fact that I have an AMD Radeon Fury X graphics card. (I haven't
explicitly installed any proprietary drivers; I think AMDGPU is free).

Any one have any clues on how to debug such a thing?

https://brendan.scot/p/borked-godot.png